# Geocoding reverse

An decision block that finds the address or location name for a geographic coordinate.

The fiber will pause until the operation has completed.

Geocoding will likely require internet connectivity.

## Input arguments

- Latitude — latitude of the location.
- Longitude — longitude of the location.
- Language — preferred language of the result, default is the device language.

## Output variables

- Location name — variable to assign the combined name of the decoded location, a concatenation of the address lines, `null` if unknown.
- Address lines — variable to assign an array of address lines for the decoded location, `null` if unknown.
- Feature name — variable to assign the name of a prominent feature at the decoded location, `null` if unknown.
- Thoroughfare name — variable to assign sub-thoroughfare name, e.g. street name, of the decoded location address, `null` if unknown.
- Sub-thoroughfare name — variable to assign sub-thoroughfare name, e.g. house number, of the of the decoded location address, `null` if unknown.
- Locality name — variable to assign the locality name of the decoded location address, e.g. city, `null` if unknown.
- Sub-locality name — variable to assign the sub-locality name of the decoded location address, `null` if unknown.
- Administrative area name — variable to assign the administrative area name, e.g. state, of the decoded location address, `null` if unknown.
- Sub-administrative area name — variable to assign the sub-administrative area name, e.g. county, of the decoded location address, `null` if unknown.
- Postal code — variable to assign the postal code, e.g. zip code, of the address for the decoded location, `null` if unknown.
- Country name — variable to assign the name of the country of the decoded location address, `null` if unknown.
- Country code — variable to assign the two-letter country code of the decoded location address, `null` if unknown.